- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# oneview_fc_network – Manage OneView Fibre Channel Network resources

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Provides an interface to manage Fibre Channel Network resources. Can create, update, and delete.

## Requirements

The below requirements are needed on the host that executes this module.

- hpOneView >= 4.0.0

- python >= 2.7.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config path |  | Path to a .json configuration file containing the OneView client configuration. The configuration file is optional and when used should be present in the host running the ansible commands. If the file path is not provided, the configuration will be loaded from environment variables. For links to example configuration files or how to use the environment variables verify the notes section.
data - / required |  | List with the Fibre Channel Network properties.
state - | Choices: present absent | Indicates the desired state for the Fibre Channel Network resource. `present` will ensure data properties are compliant with OneView. `absent` will remove the resource from OneView, if it exists.
validate_etag boolean | Choices: no yes ← | When the ETag Validation is enabled, the request will be conditionally processed only if the current ETag for the resource matches the ETag provided in the data.

## Notes

Note

- A sample configuration file for the config parameter can be found at: https://github.com/HewlettPackard/oneview-ansible/blob/master/examples/oneview_config-rename.json

- Check how to use environment variables for configuration at: https://github.com/HewlettPackard/oneview-ansible#environment-variables

- Additional Playbooks for the HPE OneView Ansible modules can be found at: https://github.com/HewlettPackard/oneview-ansible/tree/master/examples

- The OneView API version used will directly affect returned and expected fields in resources. Information on setting the desired API version and can be found at: https://github.com/HewlettPackard/oneview-ansible#setting-your-oneview-version

## Examples

    - name: Ensure that the Fibre Channel Network is present using the default configuration
      oneview_fc_network:
        config: "{{ config_file_path }}"
        state: present
        data:
          name: 'New FC Network'

    - name: Ensure that the Fibre Channel Network is present with fabricType 'DirectAttach'
      oneview_fc_network:
        config: "{{ config_file_path }}"
        state: present
        data:
          name: 'New FC Network'
          fabricType: 'DirectAttach'

    - name: Ensure that the Fibre Channel Network is present and is inserted in the desired scopes
      oneview_fc_network:
        config: "{{ config_file_path }}"
        state: present
        data:
          name: 'New FC Network'
          scopeUris:
            - '/rest/scopes/00SC123456'
            - '/rest/scopes/01SC123456'

    - name: Ensure that the Fibre Channel Network is absent
      oneview_fc_network:
        config: "{{ config_file_path }}"
        state: absent
        data:
          name: 'New FC Network'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
fc_network dictionary | On state 'present'. Can be null. | Has the facts about the managed OneView FC Network.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felipe Bulsoni (@fgbulsoni)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.